import numpy as np
import monteCarloPCP as mc
import os.path

def generateE8Crystal(version = 1):
	if version == 1:
		my_path = os.path.abspath(os.path.dirname(__file__))
		path = os.path.join(my_path, "e8N6561Pos.dat")
		print(path)
		cryPos = mc.fileIO.load2DArray(path,dtype=float)
		sides = np.ones(8)*2
	elif version == 2:
		my_path = os.path.abspath(os.path.dirname(__file__))
		path = os.path.join(my_path, "e8N13122Pos.dat")
		print(path)
		cryPos = mc.fileIO.load2DArray(path,dtype=float)
		sides = np.ones(8)*2
	elif version == 3:
		my_path = os.path.abspath(os.path.dirname(__file__))
		path = os.path.join(my_path, "e8N65536ZPos.dat")
		print(path)
		cryPos = mc.fileIO.load2DArray(path,dtype=float)
		sides = np.ones(8)
	return cryPos, sides

def maxPhi():
	return np.pi**4/(2**4 * 4*3*2)